package service

type Service struct {
	repository Repository
	validator  Validator
}

type Repository interface {
	//GetList(ctx context.Context, ID types.ID) ([]entity.Benefactor, error)
}

func NewService(repo Repository, validator Validator) Service {
	return Service{
		repository: repo,
		validator:  validator,
	}
}
